import mx.transitions.Tween;
import mx.transitions.easing.*;

class PreLoader extends MovieClip{ 

    //for the empty movieclips, which are created 
    public var loadTarget:String; 
    private static var emptyClip:String;
     
    //for the textfields 
    private static var bytesField:String; 
    private static var frameField:String; 
    private static var totalField:String; 
    private static var loaderField:String; 
     
    //for monitoring the loading 
    private var perLoaded:Number; 
    private var loadedBytes:Number; 
    private var totalBytes:Number; 
    private var bytes:Number; 
    private var frame:Number; 
    
    private var trackLoadedClip:MovieClip;
   
	private var f1:MovieClip;
	private var f2:MovieClip;
	private var f3:MovieClip;
	private var f4:MovieClip;
	private var f5:MovieClip;
	private var f6:MovieClip;
     
    private var loader:TextField;
	
	
	
	
	private var _fileToLoad:String;
	public function get FileToLoad():String{
		
		return _fileToLoad;
		
	}
	
	public function set FileToLoad(val:String){
		
		_fileToLoad = val;
		
	}
	
	
	
	//constructor 
    public function PreLoader() {       
	    
		f1._alpha = 0;
		f2._alpha = 0;
		f3._alpha = 0;
		f4._alpha = 0;
		f5._alpha = 0;
		f6._alpha = 0;
	
    } 
     
	 
	 
	 
    public function loadTheMovie (): Void { 
		
        //passing the parameter variables 
        var lTarget:String = _fileToLoad; 
         
        //creating empty movieclips for loading the movie... 
        _root.createEmptyMovieClip("emptyClip",1); 

        //positioning the loading child movie outside the preloadmovie 
        _root.emptyClip._x = 0; 
		_root.emptyClip._y = 0; 
		_root.emptyClip._alpha = 0; 
        _root.emptyClip.loadMovie(lTarget); 
                 
     
        //loading and monitoring the movie with the MovieClipLoader class 
        onEnterFrame = function() { 
            //getting total bytes 
            var totalBytes = _root.emptyClip.getBytesTotal(); 
             
			//check for NaN
			if (isNaN(totalBytes) || totalBytes < 4) {
				return;
			}
			 
            //loded bytes defining             
            var loadedBytes = _root.emptyClip.getBytesLoaded(); 
			//trace("loadedBytes = " + loadedBytes);
			
            //bytes loaded 
            var bytes = Math.round((loadedBytes/1024)*1000); 
             
            //% loaded 
			var perLoaded = Math.round((loadedBytes/totalBytes)*100); 
			//loader.text = perLoaded;
			
			if(perLoaded > 15 && this.f1._alpha == 0){
				
				var myTween1:Object = new Tween(this.f1, "_alpha", Regular.easeOut, 0, 100, .3, true);
				
			}
			
			if(perLoaded > 30 && this.f2._alpha == 0){
				
				var myTween2:Object = new Tween(this.f2, "_alpha", Regular.easeOut, 0, 100, .3, true);
				
			}
			
			if(perLoaded > 45 && this.f3._alpha == 0){
				
				var myTween3:Object = new Tween(this.f3, "_alpha", Regular.easeOut, 0, 100, .3, true);
				
			}
			
			if(perLoaded > 60 && this.f4._alpha == 0){
				
				var myTween4:Object = new Tween(this.f4, "_alpha", Regular.easeOut, 0, 100, .3, true);
				
			}
			
			if(perLoaded > 75 && this.f5._alpha == 0){
				
				var myTween5:Object = new Tween(this.f5, "_alpha", Regular.easeOut, 0, 100, .3, true);
				
			}
			
			if(perLoaded > 90 && this.f6._alpha == 0){
				
				var myTween6:Object = new Tween(this.f6, "_alpha", Regular.easeOut, 0, 100, .3, true);
				
			}
		
			
            //defining the loading status for loaderbar         
           var frame = Math.round((loadedBytes/(totalBytes/100))); 
           
            //after loading remove all objects and go to indicated frame                 
            if (loadedBytes > 4 && loadedBytes>=totalBytes) { 
		    
                delete this.onEnterFrame; 
		
//*********** REPLACING THE PRELOADER MOVIE WITH THE LOADED MOVIE *******************\\ 
				//only do this if you want the movie loaded into another level
                //set level to "0" to replace or "1" to have movie in level1 
                //loadMovieNum(lTarget, 1); 
//************************************************************************************\\ 
                  
				//start the movie
				this.gotoAndPlay("OUT");
			
            } else { 
                if (frame > 1) { 
                
		    
                } 
            } 
        }
    } 
} 
