﻿//
import SD.RD;
import SGF.GamePiece;
import mx.transitions.Tween;
import mx.transitions.easing.*;
import  SH.Game.General;

//Can extend GamePiece or GameCollisionPiece
class GamePlay5.GamePlay5MC extends GamePiece{		

//************************************************************
//PRIVATE VARS
//************************************************************

//Private vars
//private var s:String;
private var __contestants:Array;
private var __contestantsXY:Array;
//private var __scoresXY:Array;
private var __randomContestantScores:Array;
private var __contestantsVisible:Number =0;
private var __myGeneral:General;

//Sub MC Vars
private var UserLoosesDuringPlay:MovieClip;
private var Round2QuestionsMC:MovieClip;
private var QuestionFinalIntro:MovieClip;
private var MultiChoiceQuestionImage:MovieClip;
private var MultiChoiceQuestions:MovieClip;
private var ContestantsHolder:MovieClip;
private var ContestScoresHolder:MovieClip;

private var youImage:MovieClip;
private var youSC:MovieClip;

//Sub MC Buttons
//private var b:Button;

//Sub TextField vars
//private var t:TextField;

//Components

//************************************************************
//PUBLIC VARS
//************************************************************

//Public vars

//************************************************************
//CONSTRUCTOR FUNCTIONS
//************************************************************

 function GamePlay5MC(){

	//RD.D("GameController Created", this);
	//__linkageName = "MC";
	//makeThisADispatcher();
	//dispatchMyEvent("e_someEvent", {myMessage:"none"});
	__myGeneral = new General();
	__contestantsXY = [[0,0],[432.3,0],[0,210.8],[216.1,210.8],[431.1,210.8]];
	__randomContestantScores = [[2,2,3,3], [1,1,2,2], [1,1,1,2], [1,2,2,3], [1,1,1,1]];
	
	setupBtns();
	v_setup();

}

private function setupBtns(){}

//************************************************************
//PROPERTIES
//************************************************************

//************************************************************
//INITIAL FUNCTIONS: Usually functions off the constructor
//************************************************************
//this overides the scene director function which is called when a new scene containing this MC is loaded
private function playScene(){
	
	
	v_setup();
	showGamePiece();
	trace("trying Display = " + this);
	v_display();
	trace("trying Display-after");
	
	//pause code
	var myFunc = function(callingMC:MovieClip){
							
		//Round2QuestionsMC.v_start();
		callingMC.Round2QuestionsMC.v_start();
							
	};
				
	pauseCodeAndCallFunction(2, myFunc);
	
	
	
	}

//this is called when the scene that this GamePiece is in is removed
//Note when you call this you have to handle the removal of the GamePiece yourself
/*private function removeScene(){}*/

/*private function initiate(){}*/

//************************************************************
//PUBLIC VISUAL FUNCTIONS: Functions that hide and show items in the MC
//************************************************************

/*public function v_function(){}*/

//************************************************************
//PRIVATE VISUAL FUNCTIONS: Functions that hide and show items in the MC
//************************************************************

	private function v_setup(){
		
		//get prevoius scores from last round to see who made it through
		__contestants = new Array();
		__contestantsVisible = 0;
		for(var x = 0; x < getRef().RandomContestantScores.length; x++){
			
			var score:String = String(getRef().RandomContestantScores[x].score[5]);
			var name:String = String(getRef().RandomContestantScores[x].name);
			if(score != "L"){
				
				__contestants.push({name:name, score:[]});
				trace("");
				trace("contestant name = " + __contestants[x].name);
				trace("");
			}
		}
		
		//attache the random scores to contestants
		__randomContestantScores = __myGeneral.scrambleArray(__randomContestantScores);
		for(var x = 0; x < __contestants.length; x++){
			
			__contestants[x].score = __randomContestantScores[x];
			
		}
		
		
		for(var x = 0; x < __contestantsXY.length; x++){
			
			__contestants[x].xPos = __contestantsXY[x][0];
			__contestants[x].yPos = __contestantsXY[x][1];
			
		}
		
		Round2QuestionsMC._visible = false;
		UserLoosesDuringPlay._visible = false;
		QuestionFinalIntro._visible = false;
		MultiChoiceQuestionImage._visible = false;
		MultiChoiceQuestions._visible = false;
		MultiChoiceQuestions._alpha = 100;
		MultiChoiceQuestions.MultiResponse._visible = false;
		MultiChoiceQuestions.btnContinue._visible = false;
		MultiChoiceQuestions.btnViewPicture._visible = true;
		
		youImage._alpha = 0;
		youSC._alpha = 0;
		youSC.gotoAndStop(1);
		
		MultiChoiceQuestions.b1.v_reset();//funny bug doesn't call the classes function and makes this MC fail (or calls the function and fails from there.
		MultiChoiceQuestions.b2.v_reset();//fixed I think the function needed this.gotoAndStop(); otherwise it looses instance reference
		MultiChoiceQuestions.b3.v_reset();
		MultiChoiceQuestions.b4.v_reset();
		MultiChoiceQuestions.b5.v_reset();
		/*MultiChoiceQuestions.b1.gotoAndStop("off");
		MultiChoiceQuestions.b2.gotoAndStop("off");
		MultiChoiceQuestions.b3.gotoAndStop("off");
		MultiChoiceQuestions.b4.gotoAndStop("off");
		MultiChoiceQuestions.b5.gotoAndStop("off");*/
		
		
		
	}

//************************************************************
//PUBLIC VISUAL STRUCTURAL FUNCTIONS: Functions that affect the visuals and structure of the MC
//************************************************************

public function enableMultiBtns(){
	
	MultiChoiceQuestions.b1.enabled = true;
	MultiChoiceQuestions.b2.enabled = true;
	MultiChoiceQuestions.b3.enabled = true;
	MultiChoiceQuestions.b4.enabled = true;
	MultiChoiceQuestions.b5.enabled = true;
	
}


public function disableMultiBtns(){
	
	MultiChoiceQuestions.b1.enabled = false;
	MultiChoiceQuestions.b2.enabled = false;
	MultiChoiceQuestions.b3.enabled = false;
	MultiChoiceQuestions.b4.enabled = false;
	MultiChoiceQuestions.b5.enabled = false;
	
}

public function disable(){}

public function v_hide(){

	_visible = false;

}

public function v_show(){

	_visible = true;

}




//************************************************************
//PRIVATE VISUAL STRUCTURAL FUNCTIONS: Functions that affect the visuals and structure of the MC
//************************************************************

	private function v_display(){
		
		trace("youImage = " + youImage);
		trace("this.youImage = " + this.youImage);
		
		var myTween:Object = new Tween(youImage, "_alpha", Regular.easeOut, 0, 100, .4, true);
		var myTween1:Object = new Tween(youSC, "_alpha", Regular.easeOut, 0, 100, .4, true);
		
		
		
		//attach the figures
		for(var x = 0; x < __contestants.length; x++){
			
			var tempMC = ContestantsHolder.attachMovie(__contestants[x].name, (__contestants[x].name + "1"), (x + 4000), {_x:__contestants[x].xPos, _y:__contestants[x].yPos});
			tempMC._width = 207.7;
			tempMC._height = 200.4;
			tempMC._alpha = 0;
	
		}
		
			//pause code
		var myFunc = function(callingMC:MovieClip){
								
			callingMC.v_display1();
								
		};
					
		pauseCodeAndCallFunction(.5, myFunc);
		
		
	}

	private function v_display1(){
		
		
		for(var x = 0; x < __contestants.length; x++){
			
			var tempMC1 = ContestScoresHolder.attachMovie("m_round2score", __contestants[x].name + "SC", (x + 200), {_x:(__contestants[x].xPos + 164), _y:(__contestants[x].yPos + 207),_alpha:0});
			
		}
		
		__contestants = __myGeneral.scrambleArray(__contestants);
		for(var x = 0; x < __contestants.length; x++){
			
			pauseCodeAndCallFunction((.2 * x), v_pauseFadeInContestant);
			
		}
		
	
	}
	
	
	private function v_pauseFadeInContestant(callingMC:MovieClip){
		
		var tempMC:MovieClip = eval(callingMC + ".ContestantsHolder." + callingMC.__contestants[callingMC.__contestantsVisible].name + "1");
		var tempMC1:MovieClip = eval(callingMC + ".ContestScoresHolder." + callingMC.__contestants[callingMC.__contestantsVisible].name + "SC");
		callingMC.__contestantsVisible++;
		
		var myTween:Object = new Tween(tempMC, "_alpha", Regular.easeOut, tempMC._alpha, 100, .3, true);
		var myTween1:Object = new Tween(tempMC1, "_alpha", Regular.easeOut, tempMC1._alpha, 100, .3, true);
		
	}

//************************************************************
//PUBLIC CHARACTER FUNCTIONS: Functions that animate characters
//************************************************************

//************************************************************
//PUBLIC CHARACTER SCRIPT FUNCTIONS: Functions called from outside which execute character animation scripts
//************************************************************

//************************************************************
//PUBLIC GENERAL FUNCTIONS
//************************************************************

//************************************************************
//PRIVATE GENERAL FUNCTIONS
//************************************************************

//************************************************************
//PRIVATE HELPER FUNCTIONS
//************************************************************

//____EVENTS_________________________________________________

//************************************************************
//REGULAR EVENT FUNCTIONS: Functions that fire off regular MC events like private function onRelease(){}
//************************************************************

//************************************************************
//CUSTOM EVENT FUNCTIONS: Functions that fire off custom made dispatched events
//************************************************************

//True False Questions Finished
	private function e_TFQuestionsFinished(evt:Object){
		
		Round2QuestionsMC._visible = false;
		QuestionFinalIntro._visible = true;
		QuestionFinalIntro._alpha = 0;
		var myTween:Object = new Tween(QuestionFinalIntro, "_alpha", Regular.easeOut, 0, 100, .5, true);
		
	}
	
	
	
	private function e_updateScores(evt:Object){
		
		youSC.gotoAndStop(Number(getRef().ScoreMissesRound2 + 1));
		
		var questionNo:Number = evt.messageObject.questionCount;
		//update contestants
		for(var x = 0; x < __contestants.length; x++){
			
			var s:MovieClip = eval(this + ".ContestScoresHolder." + __contestants[x].name + "SC");
			
				
			s.gotoAndStop(__contestants[x].score[questionNo]);
			
			if(__contestants[x].score[questionNo] == 3 && s.faded != true){
				
				s.faded = true;
				var c:MovieClip = eval(this + ".ContestantsHolder." + __contestants[x].name + "1");
				v_fadeContestant(c.f);
				trace("SCORE = " + __contestants[x].score);
				
			}
		}
	}
	
	
	private function v_fadeContestant(fadeMC:MovieClip){

		var ct:Object = {rb:0,gb:0,bb:0};
		var rt:Object = {rb:-255,gb:-255,bb:-255};
		var colTween=new ColorTransformTween(fadeMC,ct,rt,1.5,true);
		
	}
	

//************************************************************
//CUSTOM LOCAL EVENT FUNCTIONS: Functions that fire off events written into the fla of a MC like  _parent.e_fireMyFunction();
//************************************************************

//user lost and asks to play again
private function e_playAgain(){
	
	getRef().sceneDirector.playScene("scene2");
	v_removeClips();
	
}


private function e_exit(){
	
	getURL("javascript:self.close()");
	
}

	//User looses round2
	private function e_UserLooses(evt:Object){

		_level0.jdgSoundHandMC.fadeOutFast();		
		getRef().gameSounds.playSound("breaker");
		
		//QuestionsMC._visible = false;
		//messageLoose._visible = true;
		UserLoosesDuringPlay._visible = true;
		UserLoosesDuringPlay._alpha = 0;
		MultiChoiceQuestionImage._visible = false;
		MultiChoiceQuestionImage._alpha = 0;
		MultiChoiceQuestions._visible = false;
		MultiChoiceQuestions._alpha = 0;
	
		var myTween:Object = new Tween(UserLoosesDuringPlay, "_alpha", Regular.easeOut, 0, 100, .5, true);
			
		trace("e_UserLooses");
		
	}

	
	//#1
	//start the multi choice question - called from the QuestionFinalIntro popup
	private function e_startMultiChoiceQuestion(){
	
		_level0.jdgSoundHandMc.fadeSounds('out');
		
		QuestionFinalIntro._visible = false;
		MultiChoiceQuestionImage._visible = true;
		MultiChoiceQuestionImage._alpha = 0;
		MultiChoiceQuestions._visible = false;
		
		//pause code
		var myFunc = function(callingMC:MovieClip){
								
			callingMC.fadeIn();
			callingMC.getRef().gameSounds.playSound("question");
								
		};
					
		pauseCodeAndCallFunction(.5, myFunc);
		
		
	}
	
	private function fadeIn(){
		
		var myTween:Object = new Tween(MultiChoiceQuestionImage, "_alpha", Regular.easeOut, MultiChoiceQuestionImage._alpha, 100, .5, true);
		enableMultiBtns();
		
	}
	
	
	//start the multi choice question - called from the QuestionFinalIntro popup
	private function e_goBackToImageMultiChoiceQuestion(){
		
		QuestionFinalIntro._visible = false;
		MultiChoiceQuestionImage._visible = true;
		MultiChoiceQuestions._visible = false;
		enableMultiBtns();
		
	}
	
	
	//#2
	//start the multi choice question - called from the QuestionFinalIntro popup
	private function e_MultiPhotoFinsihed(){
		
		MultiChoiceQuestionImage._visible = false;
		MultiChoiceQuestions._visible = true;
		
	}
	
	
	
	//#3
	//start the multi choice question - called from the QuestionFinalIntro popup
	private function e_MultiIncorrect(){
		
		getRef().gameSounds.playSound("incorrect");
		getRef().ScoreMissesRound2++;
		trace("Multi Incorrect");
		MultiChoiceQuestions.MultiResponse._visible = true;
		MultiChoiceQuestions.MultiResponse.gotoAndStop("incorrect");
		MultiChoiceQuestions.btnContinue._visible = true;
		MultiChoiceQuestions.btnViewPicture._visible = false;
		disableMultiBtns();
		
		var tempObj:Object = new Object;
		tempObj.messageObject = {questionCount:3};
		e_updateScores(tempObj);
		
	}
	
	
	//#4
	//start the multi choice question - called from the QuestionFinalIntro popup
	private function e_MultiCorrect(){
		
		getRef().gameSounds.playSound("correct");
		trace("Multi Correct");
		MultiChoiceQuestions.MultiResponse._visible = true;
		MultiChoiceQuestions.MultiResponse.gotoAndStop("correct");
		MultiChoiceQuestions.btnContinue._visible = true;
		MultiChoiceQuestions.btnViewPicture._visible = false;
		disableMultiBtns();
		
		var tempObj:Object = new Object;
		tempObj.messageObject = {questionCount:3};
		e_updateScores(tempObj);
		
	}
	
	
	//#5
	private function e_round2QuestionsFinished(){
		
		//check if user got two wrong
		//the user has answered two questions incorrectly
		
		//var myTween:Object = new Tween(MultiChoiceQuestions, "_alpha", Regular.easeOut, 100, 0, .5, true);
		//pause code
		var myFunc = function(callingMC:MovieClip){
				
			var myTween:Object = new Tween(callingMC.MultiChoiceQuestions, "_alpha", Regular.easeOut, 100, 0, .5, true);
									
		};
		pauseCodeAndCallFunction(1, myFunc);
		
		
		if(getRef().ScoreMissesRound2 >= 2){
			
			//pause code
			var myFunc = function(callingMC:MovieClip){
									
				callingMC.e_UserLooses();
									
			};
						
			pauseCodeAndCallFunction(2, myFunc);
			
			
		}else{
			
			_level0.jdgSoundHandMC.fadeOutFast();		
			getRef().gameSounds.playSound("breaker");
			
			//pause code
			var myFunc = function(callingMC:MovieClip){
									
				callingMC.getRef().sceneDirector.playScene("scene6");
				callingMC.v_removeClips();
				
									
			};
						
			pauseCodeAndCallFunction(2, myFunc);
			
			
		}
	}
	
	
	private function v_removeClips(){
		
		//removeMovieClip();
			
		for(var x = 0; x < __contestants.length; x++){
	
			var tempMC = ContestantsHolder[__contestants[x].name + "1"];
			trace(tempMC);
			tempMC.removeMovieClip();
			
		}
		
		for(var x = 0; x < __contestants.length; x++){
	
			var tempMC = ContestScoresHolder[__contestants[x].name + "SC"];
			trace(tempMC);
			tempMC.removeMovieClip();
			
		}
		
	}
	
//************************************************************
//SUB MCs THAT FIRE FUNCTIONS: Functions that are called from .as files child MovieClips
//************************************************************

}
